# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-bottlenose
Version:        0.4.2
Release:        1%{?dist}
Summary:        Bottlenose is a thin Python wrapper over the Amazon Product Advertising API.

Group:          Development/Languages
License:        Apache
URL:            https://github.com/aurorasoftware/bottlenose
Source0:        %{name}-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools

%description
Bottlenose is a thin Python wrapper over the Amazon Product Advertising API. There is practically no overhead. Before you get started, make sure you have both Amazon Product Advertising and AWS accounts (yes, they are separate--confusing, I know).

%prep
%setup -q


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
